> ## Documentation Index
> Fetch the complete documentation index at: https://drippi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Automation by ID

> Returns a specific automation by its ID

Returns a specific automation by its ID. Use this endpoint to retrieve detailed information about a particular automation campaign.


## OpenAPI

````yaml GET /automations/{id}
openapi: 3.0.1
info:
  title: Drippi Public API
  description: API for accessing Drippi automation and lead management data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.drippi.ai/api/v1
    description: Production API server
security:
  - apiKeyAuth: []
paths:
  /automations/{id}:
    get:
      tags:
        - Automations
      summary: Get automation by ID
      description: Returns a specific automation by its ID
      parameters:
        - name: id
          in: path
          description: Automation ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved automation
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  automation:
                    $ref: '#/components/schemas/Automation'
        '401':
          description: Unauthorized - Invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Automation not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Automation:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the automation
        sourceId:
          type: string
          description: ID of the lead source
        uid:
          type: string
          description: User ID who owns this automation
        name:
          type: string
          description: Name of the automation
        automationType:
          type: string
          description: Type of automation (e.g., 'coldDM')
        status:
          type: string
          description: Current status of the automation (e.g., 'paused', 'killed')
        testMode:
          type: boolean
          description: Whether the automation is in test mode
        automationVersion:
          type: integer
          description: Version of the automation
        sendingAccount:
          type: string
          description: Twitter ID of the account sending messages
        startTime:
          $ref: '#/components/schemas/Timestamp'
        sentMessages:
          type: integer
          description: Number of messages sent
        skippedMessages:
          type: integer
          description: Number of messages skipped
        respondedMessages:
          type: integer
          description: Number of messages that received responses
        failedMessages:
          type: integer
          description: Number of messages that failed to send
        creditUsage:
          type: integer
          description: Number of credits used
        newMessagesActive:
          type: boolean
          description: Whether new messages are active
        followupsActive:
          type: boolean
          description: Whether followup messages are active
        followups:
          type: object
          description: Followup message configuration
          additionalProperties:
            $ref: '#/components/schemas/Followup'
        messageConfig:
          $ref: '#/components/schemas/MessageConfig'
        automationSettings:
          $ref: '#/components/schemas/AutomationSettings'
        scheduleV1:
          $ref: '#/components/schemas/ScheduleV1'
    Error:
      type: object
      properties:
        status:
          type: string
          example: error
        message:
          type: string
          example: Something went wrong
    Timestamp:
      type: object
      properties:
        _seconds:
          type: integer
          description: Unix timestamp in seconds
        _nanoseconds:
          type: integer
          description: Nanoseconds part of the timestamp
    Followup:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the followup
        position:
          type: integer
          description: Position in the followup sequence
        type:
          type: string
          description: Type of followup (e.g., 'message', 'delay')
        message:
          type: string
          description: Message content (for message type)
        time:
          type: integer
          description: Delay time (for delay type)
        timeType:
          type: object
          properties:
            name:
              type: string
              description: Display name for time type
            value:
              type: string
              description: Value for time type (e.g., 'day')
    MessageConfig:
      type: object
      properties:
        settings:
          type: object
          properties:
            tweetContext:
              type: object
              properties:
                mode:
                  type: string
                  description: >-
                    Tweet context mode (e.g., 'pinnedTweetOnly',
                    'allRecentTweets')
                enabled:
                  type: boolean
                  description: Whether tweet context is enabled
            websiteContext:
              type: object
              properties:
                mode:
                  type: string
                  description: >-
                    Website context mode (e.g., 'mainWebsiteOnly',
                    'allWebsites')
                enabled:
                  type: boolean
                  description: Whether website context is enabled
            splitMessages:
              type: boolean
              description: Whether to split messages
            maxLength:
              type: integer
              description: Maximum message length
        temperature:
          type: number
          description: AI temperature setting
        context:
          type: string
          description: Context for message generation
        model:
          type: string
          description: AI model used (e.g., 'gpt-3.5-turbo', 'gpt-4')
        generatorVersion:
          type: string
          description: Version of the message generator
        script:
          type: string
          description: Message script template
        scriptText:
          type: string
          description: Alternative script text field
        messagePurpose:
          type: object
          description: Message purpose configuration
          additionalProperties:
            type: string
        messageElements:
          type: object
          description: Message elements configuration
          additionalProperties:
            type: string
        messageTone:
          type: object
          description: Message tone configuration
          additionalProperties:
            type: string
        backgroundInfo:
          type: object
          properties:
            jobTitle:
              type: string
              description: Job title
            name:
              type: string
              description: Name
            productName:
              type: string
              description: Product name
            productDescription:
              type: string
              description: Product description
            productCategory:
              type: string
              description: Product category
    AutomationSettings:
      type: object
      properties:
        autoRetweet:
          type: object
          properties:
            enabled:
              type: boolean
              description: Whether auto retweet is enabled
            params:
              type: object
              description: Auto retweet parameters
        blacklistCheck:
          type: object
          properties:
            enabled:
              type: boolean
              description: Whether blacklist check is enabled
            params:
              type: object
              description: Blacklist check parameters
        activityCheck:
          type: object
          properties:
            enabled:
              type: boolean
              description: Whether activity check is enabled
            params:
              type: object
              properties:
                includeOnUnknown:
                  type: boolean
                  description: Whether to include on unknown activity
                minDaysSinceLastActivity:
                  type: integer
                  description: Minimum days since last activity
        AICheck:
          type: object
          properties:
            enabled:
              type: boolean
              description: Whether AI check is enabled
            params:
              type: object
              properties:
                includeOnUnknown:
                  type: boolean
                  description: Whether to include on unknown
                locationCheck:
                  type: object
                  properties:
                    type:
                      type: string
                      description: Type of location check
                    enabled:
                      type: boolean
                      description: Whether location check is enabled
                    params:
                      type: object
                      properties:
                        countryCodes:
                          type: array
                          items:
                            type: string
                          description: List of country codes
                        minGdpPerCapita:
                          type: integer
                          description: Minimum GDP per capita
                languageCheck:
                  type: object
                  properties:
                    type:
                      type: string
                      description: Type of language check
                    enabled:
                      type: boolean
                      description: Whether language check is enabled
                    params:
                      type: object
                      properties:
                        languageCodes:
                          type: array
                          items:
                            type: string
                          description: List of language codes
        previousConversationsCheck:
          type: object
          properties:
            enabled:
              type: boolean
              description: Whether previous conversations check is enabled
            params:
              type: object
              description: Previous conversations check parameters
        autoFollow:
          type: object
          properties:
            enabled:
              type: boolean
              description: Whether auto follow is enabled
            params:
              type: object
              description: Auto follow parameters
        autoLike:
          type: object
          properties:
            enabled:
              type: boolean
              description: Whether auto like is enabled
            params:
              type: object
              description: Auto like parameters
        previouslyContactedCheck:
          type: object
          properties:
            enabled:
              type: boolean
              description: Whether previously contacted check is enabled
            params:
              type: object
              description: Previously contacted check parameters
    ScheduleV1:
      type: object
      properties:
        scheduleType:
          type: string
          description: Type of schedule (e.g., 'hour', 'day')
        timezone:
          type: object
          properties:
            name:
              type: string
              description: Timezone display name
            id:
              type: string
              description: Timezone ID
        messages:
          type: string
          description: Number of messages per period
        timezoneModified:
          type: boolean
          description: Whether timezone has been modified
        hasAdvancedSchedule:
          type: boolean
          description: Whether advanced schedule is enabled
        advancedSchedule:
          type: object
          description: Advanced schedule configuration
          additionalProperties:
            type: object
            properties:
              startTime:
                type: object
                properties:
                  id:
                    type: integer
                    description: Time slot ID
                  value:
                    type: string
                    description: Time value (e.g., '9:00 AM')
              endTime:
                type: object
                properties:
                  id:
                    type: integer
                    description: Time slot ID
                  value:
                    type: string
                    description: Time value (e.g., '9:00 PM')
              enabled:
                type: boolean
                description: Whether this day is enabled
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````